htsearch(1)

NAME
htsearch - create document index and word database for the ht://Dig search engine

SYNOPSIS
htsearch [options] [query_string]

DESCRIPTION
Htsearch is used to search in de databases created by htdig for content. is the actual search engine of the htdig search system. It is a CGI program that is expected to be invoked by an HTML form. It will accept both the GET and POST methods of passing data to the CGI program.

OPTIONS

query_string
    A CGI-style query string can be given as a single argument, and is only used if the REQUEST_METHOD environment variable is not set. If no query_string is given, and REQUEST_METHOD is not set, htsearch will prompt for the query.

-c configfile
    Use the specified configfile instead of the default (for security reasons this option is only available when htsearch is used on the commandline).

-v -d
    Run in verbose mode. This increases the verbosity of the program. Using more than 2 is probably only useful for debugging purposes. The default verbose mode gives a progress on what it is doing and where it is.

FILES

/etc/htdig/htdig.conf
    The default configuration file.

/var/www/htdocs/htdig/header.html
    The default search results header file

/var/www/htdocs/htdig/footer.html
    The default search results footer file

/var/www/htdocs/htdig/wrapper.html
    The default search results wrapper file, that contains the header and footer together in one file

/var/www/htdocs/htdig/nomatch.html
    The default 'no matches found' HTML file

/var/www/htdocs/htdig/syntax.html
    The default file that explains boolean expression syntax errors

SEE ALSO
Please refer to the HTML pages (in the htdig-doc package) /usr/share/doc/htdig-doc/html/index.html and the manual pages htdig(1) and htmerge(1) for a detailed description of ht://Dig and its commands.

AUTHOR
This manual page was written by Stijn de Bekker, based on the HTML documentation of ht://Dig.